Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ReferenceManager

    java.lang.Object
      org.codehaus.groovy.util.ReferenceManager

    public class ReferenceManager
    extends java.lang.Object

Method Summary
`java.lang.Object` | `ReferenceManager(java.lang.ref.ReferenceQueue queue)`
`void` | `afterReferenceCreation(Reference r)`
`static ReferenceManager` | `createCallBackedManager(java.lang.ref.ReferenceQueue queue)`
`static ReferenceManager` | `createIdlingManager(java.lang.ref.ReferenceQueue queue)`
`static ReferenceManager` | `createThreadedManager(java.lang.ref.ReferenceQueue queue)`
`static ReferenceManager` | `createThresholdedIdlingManager(java.lang.ref.ReferenceQueue queue, ReferenceManager callback, int threshold)`
`static ReferenceBundle` | `getDefaultSoftBundle()`
`static ReferenceBundle` | `getDefaultWeakBundle()`
`protected java.lang.ref.ReferenceQueue` | `getReferenceQueue()`
`void` | `removeStallEntries()`
`void` | `stopThread()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### ReferenceManager

    public java.lang.Object ReferenceManager(java.lang.ref.ReferenceQueue queue)

### afterReferenceCreation

    public void afterReferenceCreation(Reference r)

### createCallBackedManager

    public static ReferenceManager createCallBackedManager(java.lang.ref.ReferenceQueue queue)

### createIdlingManager

    public static ReferenceManager createIdlingManager(java.lang.ref.ReferenceQueue queue)

### createThreadedManager

    public static ReferenceManager createThreadedManager(java.lang.ref.ReferenceQueue queue)

### createThresholdedIdlingManager

    public static ReferenceManager createThresholdedIdlingManager(java.lang.ref.ReferenceQueue queue, ReferenceManager callback, int threshold)

### getDefaultSoftBundle

    public static ReferenceBundle getDefaultSoftBundle()

### getDefaultWeakBundle

    public static ReferenceBundle getDefaultWeakBundle()

### getReferenceQueue

    protected java.lang.ref.ReferenceQueue getReferenceQueue()

### removeStallEntries

    public void removeStallEntries()

### stopThread

    public void stopThread()

### toString

    static {
    public java.lang.String toString()

Groovy Documentation